Bug 705412 - libtirpc-0.2.2-0.fc16 includes unresolved deps
libtirpc-0.2.2-0.fc16 includes unresolved deps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 11:45 EDT by Nalin Dahyabhai
Modified: 2011-06-30 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: libtirpc-0.2.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 14:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2011-05-17 11:45:50 EDT
Description of problem:
When I attempt to link a sample program using libtirpc 0.2.2, I get an unresolved reference to _des_crypt_call.

Version-Release number of selected component (if applicable):
0.2.2-0.fc16

How reproducible:
Always

Steps to Reproduce:
1. cat > deps.c << EOF
#include <sys/types.h>
#include <stdio.h>
#include <string.h>
#include <rpc/xdr.h>

int
main(int argc, char **argv)
{
	XDR x;
	memset(&x, 0, sizeof(x));
	xdrstdio_create(&x, stdout, XDR_ENCODE);
	return 0;
}
EOF
2. gcc -o deps deps.c `pkg-config --cflags --libs libtirpc`
  
Actual results:
/lib/../lib64/libtirpc.so: undefined reference to `_des_crypt_call'
collect2: ld returned 1 exit status

Expected results:
Successful link.
Comment 1 Jeff Layton 2011-06-21 16:06:47 EDT
There's a package in koji that should fix this now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=249705
Comment 2 Nalin Dahyabhai 2011-06-30 14:07:55 EDT
(In reply to comment #1)
> There's a package in koji that should fix this now:
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=249705

Yes, I can confirm that this fixes my problem.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.